UbixOS V2 2.0

Data Fields
sys_access_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_access_args:

## Data Fields
int | amode
char | amode_l_ [0]
char | amode_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]
char * | path
char | path_l_ [0]
char | path_r_ [(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

## Detailed Description

Definition at line 587 of file sysproto_posix.h.

## Field Documentation

## ◆ amode

int sys_access_args::amode

Definition at line 592 of file sysproto_posix.h.

## ◆ amode_l_

char sys_access_args::amode_l_[0]

Definition at line 591 of file sysproto_posix.h.

## ◆ amode_r_

char sys_access_args::amode_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 593 of file sysproto_posix.h.

## ◆ path

char* sys_access_args::path

Definition at line 589 of file sysproto_posix.h.

## ◆ path_l_

char sys_access_args::path_l_[0]

Definition at line 588 of file sysproto_posix.h.

## ◆ path_r_

char sys_access_args::path_r_[(sizeof(register_t)<=sizeof(char *) ? 0 :sizeof(register_t) - sizeof(char *))]

Definition at line 590 of file sysproto_posix.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h